<!DOCTYPE HTML PUBLIC "-//FreeBSD//DTD HTML 4.01 Transitional-Based Extension//EN" [
<!ENTITY base CDATA "../..">
<!ENTITY date "$FreeBSD$">
<!ENTITY title "FreeBSD 6.3-RELEASE Announcement">
<!ENTITY % navinclude.download "INCLUDE">
]>
<html>
&header;

<p><b>Date:</b> Fri, 18 Jan 2008 14:00:11 -0500<br>
   <b>From:</b> Ken Smith &lt;kensmith@FreeBSD.org&gt;<br>
   <b>To:</b> freebsd-announce@FreeBSD.org<br>
   <b>Subject:</b> [FreeBSD-Announce] FreeBSD 6.3 Released</p>

<p>The FreeBSD Release Engineering Team is pleased to announce the availability
of FreeBSD 6.3-RELEASE.  This release continues the development of the
6-STABLE branch providing performance and stability improvements, many
bug fixes and new features.  Some of the highlights:</p>

<ul>
<li><p>KDE updated to 3.5.8, GNOME updated to 2.20.1, Xorg updated to 7.3</p></li>
<li><p>BIND updated to 9.3.4</p></li>
<li><p>sendmail updated to 8.14.2</p></li>
<li><p>lagg(4) driver ported from OpenBSD/NetBSD</p></li>
<li><p>unionfs file system re-implemented</p></li>
<li><p>freebsd-update(8) now supports an upgrade command</p></li>
</ul>

<p>For a complete list of new features and known problems, please see the
online release notes and errata list, available at:</P

<p><tt><a href="http://www.FreeBSD.org/releases/6.3R/relnotes.html">http://www.FreeBSD.org/releases/6.3R/relnotes.html</a></tt>
 <br>
<tt><a href="http://www.FreeBSD.org/releases/6.3R/errata.html">http://www.FreeBSD.org/releases/6.3R/errata.html</a></tt></p>

<p>For more information about FreeBSD release engineering activities,
please see:</p>

<p><tt><a href="http://www.FreeBSD.org/releng/">http://www.FreeBSD.org/releng/</a></tt></p>

<p>The FreeBSD Security Team intends to support 6.3-RELEASE until January 31st,
2010.</p>

<h2>Dedication</h2>

<p>FreeBSD 6.3-RELEASE is dedicated to the memory of Dr. Jun-ichiro Hagino,
known throughout the Internet community as itojun, for his visionary work
on the IPv6 protocol and his many other contributions to the Internet and
BSD communities.</p>

<h2>Availability</h2>

<p>FreeBSD 6.3-RELEASE is now available for the alpha, amd64, i386, pc98,
and sparc64 architectures.  It can be installed from bootable ISO images
or over the network; the required files can be downloaded via FTP or
BitTorrent as described in the sections below.  While some of the smaller
FTP mirrors may not carry all architectures, they will all generally
contain the more common ones, such as i386 and amd64.</p>

<p>MD5 and SHA256 hashes for the release ISO images are included at the
bottom of this message.</p>

<p>The contents of the ISO images provided as part of the release has changed
for most of the architectures.  Using the i386 architecture as an example,
there are ISO images named ``bootonly'', ``disc1'', ``disc2'', ``disc3'', and ``docs''.
The ``bootonly'' image is suitable for booting a machine to do a network based
installation using FTP or NFS.  The ``disc1'', ``disc2'', and ``disc3'' images are
used to do a full installation that includes a basic set of packages and does
not require network access to an FTP or NFS server during the installation.
In addition, ``disc1'' supports booting into a live CD-based filesystem and
system rescue mode.  The ``docs'' image has all of the documentation for all
supported languages.  Most people will find that ``disc1'', ``disc2'' and ``disc3''
are all that are needed.  If you intend to install ports from source
instead of using the pre-built packages included with the release only
``disc1'' is needed.</p>

<p>FreeBSD 6.3-RELEASE can also be purchased on CD-ROM from several
vendors.  One of the vendors that will be offering FreeBSD 6.3-based
products is:</p>

<ul>
<li><p>FreeBSD Mall, Inc.
<tt><a href="http://www.freebsdmall.com/">http://www.freebsdmall.com/</a></tt></p></li>
</ul>

<h2>Bittorrent</h2>

<p>6.3-RELEASE ISOs are available via BitTorrent.  A collection of torrent
files to download the images is available at:</p>

<p><tt><a href="http://torrents.freebsd.org:8080/">http://torrents.freebsd.org:8080/</a></tt></p>

<h2>FTP</h2>

The primary mirror site is:

<p><tt><a href="ftp://ftp.freebsd.org/pub/FreeBSD/">ftp://ftp.freebsd.org/pub/FreeBSD/</a></tt></p>

<p>However, before trying the central FTP site, please check your regional 
mirror(s) first by going to:</p>

<p><tt>ftp://ftp.&lt;yourdomain&gt;.FreeBSD.org/pub/FreeBSD</tt></p>

<p>Any additional mirror sites will be labeled ftp2, ftp3 and so on.</p>

<p>More information about FreeBSD mirror sites can be found at:</p>

<p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt></p>

<p>For instructions on installing FreeBSD, please see Chapter 2 of The
FreeBSD Handbook.  It provides a complete installation walk-through
for users new to FreeBSD, and can be found online at:</p>

<p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt></p>

<h2>FreeBSD Update</h2>

<p>Starting with FreeBSD 6.3, the freebsd-update(8) utility supports binary
upgrades of i386 and amd64 systems systems running earlier FreeBSD releases,
release candidates, and betas.  Users upgrading to FreeBSD 6.3 from
older releases (in particular, older than 6.3-RC1) will need to
download an updated version of freebsd-update(8) that supports upgrading
to a new release.</p>

<p><tt># fetch http://people.freebsd.org/~cperciva/freebsd-update-upgrade.tgz</tt></p>

Downloading and verifying the digital signature for the tarball
(signed by the FreeBSD Security Officer's PGP key) is highly
recommended.

<p><tt># fetch http://people.freebsd.org/~cperciva/freebsd-update-upgrade.tgz.asc</tt></p>
<p><tt># gpg --verify freebsd-update-upgrade.tgz.asc freebsd-update-upgrade.tgz</tt></p>
 
The new freebsd-update(8) can then be extracted and run as follows:

<p><tt># tar -xf freebsd-update-upgrade.tgz</tt></p>
<p><tt># sh freebsd-update.sh -f freebsd-update.conf -r 6.3-RELEASE upgrade</tt></p>
<p><tt># sh freebsd-update.sh -f freebsd-update.conf install</tt></p>

The system must be rebooted with the newly installed kernel before
continuing.

<p><tt># shutdown -r now</tt></p>

Finally, freebsd-update.sh needs to be run one more time to install
the new userland components, and the system needs to be rebooted one
last time:

<p><tt># sh freebsd-update.sh -f freebsd-update.conf install</tt></p>
<p><tt># shutdown -r now</tt></p>

For more information, see:

<p><tt><a href="http://www.daemonology.net/blog/2007-11-10-freebsd-minor-version-upgrade.html">http://www.daemonology.net/blog/2007-11-10-freebsd-minor-version-upgrade.html</a></tt></p>

<h2>Acknowledgments</h2>

<p>Many companies donated equipment, network access, or man-hours to
finance the release engineering activities for FreeBSD 6.3 including
The FreeBSD Foundation, FreeBSD Systems, Hewlett-Packard, Yahoo!,
Network Appliances, and Sentex Communications.</p>

<p>The release engineering team for 6.3-RELEASE includes:</p>

	    <table border="0">
	      <tbody>
		<tr>
		  <td>Ken Smith &lt;<a href="mailto:kensmith@FreeBSD.org">kensmith@FreeBSD.org</a>&gt;</td>
		  <td>Release Engineering, amd64, i386 sparc64 Release Building, Mirror Site
		    Coordination</td>
		</tr>

		<tr>
		  <td>Robert Watson &lt;<a href="mailto:rwatson@FreeBSD.org">rwatson@FreeBSD.org</a>&gt;</td>
		  <td>Release Engineering, Security</td>
		</tr>

		<tr>
		  <td>Maxime Henrion &lt;<a href="mailto:mux@FreeBSD.org">mux@FreeBSD.org</a>&gt;</td>
		  <td>Release Engineering</td>
		</tr>

		<tr>
		  <td>Bruce A. Mah &lt;<a href="mailto:bmah@FreeBSD.org">bmah@FreeBSD.org</a>&gt;</td>
		  <td>Release Engineering, Documentation</td>
		</tr>

		<tr>
		  <td>George Neville-Neil &lt;<a href="mailto:gnn@FreeBSD.org">gnn@FreeBSD.org</a>&gt;</td>
		  <td>Release Engineering</td>
		</tr>

		<tr>
		  <td>Hiroki Sato &lt;<a href="mailto:hrs@FreeBSD.org">hrs@FreeBSD.org</a>&gt;</td>
		  <td>Release Engineering, Documentation</td>
		</tr>

		<tr>
		  <td>Murray Stokely &lt;<a href="mailto:murray@FreeBSD.org">murray@FreeBSD.org</a>&gt;</td>
		  <td>Release Engineering</td>
		</tr>

		<tr>
		  <td>Wilko Bulte &lt;<a href="mailto:wilko@FreeBSD.org">wilko@FreeBSD.org</a>&gt;</td>
		  <td>Alpha Release Building</td>
		</tr>

		<tr>
		  <td>Takahashi Yoshihiro &lt;<a href="mailto:nyan@FreeBSD.org">nyan@FreeBSD.org</a>&gt;</td>
		  <td>PC98 Release Building</td>
		</tr>

		<tr>
		  <td>Kris Kennaway &lt;<a href="mailto:kris@FreeBSD.org">kris@FreeBSD.org</a>&gt;</td>
		  <td>Package Building</td>
		</tr>

		<tr>
		  <td>Joe Marcus Clarke &lt;<a href="mailto:marcus@FreeBSD.org">marcus@FreeBSD.org</a>&gt;</td>
		  <td>Package Building</td>
		</tr>

		<tr>
		  <td>Erwin Lansing &lt;<a href="mailto:erwin@FreeBSD.org">erwin@FreeBSD.org</a>&gt;</td>
		  <td>Package Building</td>
		</tr>

		<tr>
		  <td>Mark Linimon &lt;<a href="mailto:linimon@FreeBSD.org">linimon@FreeBSD.org</a>&gt;</td>
		  <td>Package Building</td>
		</tr>

		<tr>
		  <td>Pav Lucistnik &lt;<a href="mailto:pav@FreeBSD.org">pav@FreeBSD.org</a>&gt;</td>
		  <td>Package Building</td>
		</tr>

		<tr>
		  <td>Colin Percival &lt;<a href="mailto:cperciva@FreeBSD.org">cperciva@FreeBSD.org</a>&gt;</td>
		  <td>Security Officer</td>
		</tr>

		<tr>
		  <td>Peter Wemm &lt;<a href="mailto:peter@FreeBSD.org">peter@FreeBSD.org</a>&gt;</td>
		  <td>Bittorrent Coordination</td>
		</tr>
	      </tbody>
	    </table>

<h2>Trademark</h2>

<p>FreeBSD is a registered trademark of The FreeBSD Foundation.</p>

<h2>ISO Image Checksums</h2>

<pre>
MD5 (6.3-RELEASE-alpha-bootonly.iso) = b9a479f20d84758202006b0fc446f52c
MD5 (6.3-RELEASE-alpha-disc1.iso) = 4a5fd2fd27f966b3b65717ee79d0bf09
MD5 (6.3-RELEASE-alpha-disc2.iso) = c1d05f366160f1a7b760cd92b2368158
MD5 (6.3-RELEASE-alpha-disc3.iso) = aa3884eec1b62fba1c2f407ed5568d52
MD5 (6.3-RELEASE-alpha-docs.iso) = c8f663a537e62668e7f26d4ba262d879
 
MD5 (6.3-RELEASE-amd64-bootonly.iso) = 5ded1d6f91da4d872aef8c2ddba24dde
MD5 (6.3-RELEASE-amd64-disc1.iso) = a8d41ea26769919db6c0c672fa8f8c4f
MD5 (6.3-RELEASE-amd64-disc2.iso) = a243076fb99b011d9b0771a6f7f9a977
MD5 (6.3-RELEASE-amd64-disc3.iso) = 92831414b34b4b06cfb7140ddfe69cfe
MD5 (6.3-RELEASE-amd64-docs.iso) = d3662411f91a19df195df81fd23afdcc

MD5 (6.3-RELEASE-i386-bootonly.iso) = ab1db0ae643e8c12ddbe855f533b8fae
MD5 (6.3-RELEASE-i386-disc1.iso) = cdb0dfa4b2db3e4c9cc19138f4fb2ada
MD5 (6.3-RELEASE-i386-disc2.iso) = e73a3d9cf5f3bfbf07384ef0a93ae5d5
MD5 (6.3-RELEASE-i386-disc3.iso) = 123840107a5578ce22875c440d41f453
MD5 (6.3-RELEASE-i386-docs.iso) = 17aa87ccfb01f4453d8ce078874029ab

MD5 (6.3-RELEASE-pc98-bootonly.iso) = fc9921a841735b778164b3efed8fdd2c
MD5 (6.3-RELEASE-pc98-disc1.iso) = df93a3981a866edeb76c47c84cf6db6d

MD5 (6.3-RELEASE-sparc64-bootonly.iso) = 1726741e8c3406b103578509fc02cd37
MD5 (6.3-RELEASE-sparc64-disc1.iso) = ebbc2252425b27491cee2eac88c523b5
MD5 (6.3-RELEASE-sparc64-disc2.iso) = 3ed441f5478d0aba15d759d861ceee65
MD5 (6.3-RELEASE-sparc64-disc3.iso) = cf6f35f7331904711a3fe9245e0c0be5
MD5 (6.3-RELEASE-sparc64-docs.iso) = 11e0e61f4c39a418f0395e6980a880ee

SHA256 (6.3-RELEASE-alpha-bootonly.iso) = 9798fd8c99b60b8b265d494447e12722bc330bf212cc5c668995684dc7532675
SHA256 (6.3-RELEASE-alpha-disc1.iso) = f2df3edb20d00f5ec89cd23e11c5a304feb00444f67d3affcece1f5ce633e3e2
SHA256 (6.3-RELEASE-alpha-disc2.iso) = 84882ca5b4370b6f23000eb7b806cd125958fbf42f61e14a9a991a258410793c
SHA256 (6.3-RELEASE-alpha-disc3.iso) = 559cfe5025bddfdb8a6cfbf315874332149ed1cf73b64f63f6227c3c32d37d86
SHA256 (6.3-RELEASE-alpha-docs.iso) = c913b3b65c093dfb830104c8153f06bf32c3bec49d3ded99abafeb7039f6f305

SHA256 (6.3-RELEASE-amd64-bootonly.iso) = 8cdf4a486066943eb5fa8e36609bfb3c2da0d0128b699864eb95ca90007cea96
SHA256 (6.3-RELEASE-amd64-disc1.iso) = 6ee1c2f00f8a1bc9d38b04b058b0549df9904ded52ddd19bae9dad070a5868e3
SHA256 (6.3-RELEASE-amd64-disc2.iso) = f69e3ab103f4be34fea7b9dde4a34d5279948b4539dfe88c53e6b371d7962301
SHA256 (6.3-RELEASE-amd64-disc3.iso) = cf6820b81eb1a1705d6294eb0bfa884bb6bad88c3be0e94c895283235c675abd
SHA256 (6.3-RELEASE-amd64-docs.iso) = 1b7d78bb94902f15609c60332d4cfc534479ade5f5f72b9e52fc61ce48410cc4
 
SHA256 (6.3-RELEASE-i386-bootonly.iso) = 124c340c1c54dc3f29c8d77e321205d47eec682bc147384dabe3fa2ae9e148f2
SHA256 (6.3-RELEASE-i386-disc1.iso) = 15081a56d184a18c7cc3a5c3cd0d7d5b7d9304c9cc1d5fc40d875b0fd3047721
SHA256 (6.3-RELEASE-i386-disc2.iso) = 7aabc815455f4ab80121071c5eb17c41dc355c2e45444b42a06158de4f9e482a
SHA256 (6.3-RELEASE-i386-disc3.iso) = d606a1700c58074c606a6145e4ab713473ff4277ec2b81a82d33eff843711a2b
SHA256 (6.3-RELEASE-i386-docs.iso) = 84a04e4478e92b9eb777900eba15b5f5ba0464cbba9caf49c19df2a1f28250f6

SHA256 (6.3-RELEASE-pc98-bootonly.iso) = dd9d764189a0fc2d35bb78f07e169e4ec39561d018ffbaaa80da0c636fdb2800
SHA256 (6.3-RELEASE-pc98-disc1.iso) = 641e98c9467ab7bc21767a054a6c7c9ff705f6295c58c32899e18daf597cc79c

SHA256 (6.3-RELEASE-sparc64-bootonly.iso) = c9bdca8e894d37534da7ba823dda4ba38493ccfac709d615f4f5ec99b001c3d8
SHA256 (6.3-RELEASE-sparc64-disc1.iso) = 5e7b155a7204c24117f50d330da979548eb7edded2669369575ed471812d8233
SHA256 (6.3-RELEASE-sparc64-disc2.iso) = c54cd4a9760a30169c9daee27f4bb59281c7e5298db8ad7a0a66b094988aa298
SHA256 (6.3-RELEASE-sparc64-disc3.iso) = 1c780cc51ff2231acd7179b2296cfac83b28e4ee32c34cc569744ae26556e97a
SHA256 (6.3-RELEASE-sparc64-docs.iso) = 51201e31aaf7ebbdb4b6aecf2eebf97770347716e1ee9eb75cf807a0f14f6085
</pre>

	    &footer;
  </body>
</html>
